# dateTime

Combines the given date and time. The result has a timezone if either of the inputs has a timezone; if they both have a timezone, then the two timezones must be the same.

dateTime($arg1 as xs:date?, $arg2 as xs:time?) → xs:dateTime?

Arguments
| $arg1 | xs:date? | The supplied date
| $arg2 | xs:time? | The supplied time
Result | xs:dateTime?

Links to W3C specifications

Namespace: http://www.w3.org/2005/xpath-functions

Applies to: XPath 2.0, XSLT 2.0, XQuery 1.0 and later versions

XPath 2.0 Specification

XPath 3.0 Specification

Notes on the Saxon implementation

The function is fully implemented according to the W3C specifications.

Next